summaryrefslogtreecommitdiff
path: root/streamdev
diff options
context:
space:
mode:
authorschmirl <schmirl>2008-04-07 14:50:32 +0000
committerschmirl <schmirl>2008-04-07 14:50:32 +0000
commit9c60fb4e42bce2fd3b6d7d9c011f1688cddd4394 (patch)
tree7410551c8e84ab6b0901a017e17c8c7b56b973db /streamdev
parent89735cbd95ea82c309be3c2faf939d03cc8aa6eb (diff)
downloadvdr-plugin-streamdev-9c60fb4e42bce2fd3b6d7d9c011f1688cddd4394.tar.gz
vdr-plugin-streamdev-9c60fb4e42bce2fd3b6d7d9c011f1688cddd4394.tar.bz2
- changed location of streamdevhosts.conf to VDRCONFDIR/plugins/streamdev
- changed externremux.sh's default location to VDRCONFDIR/plugins/streamdev - added sample externremux.sh from http://www.vdr-wiki.de/ - stop providing channels after client has been disabled at runtime - added logging of the client device's card index - changed default suspend mode to "Always suspended" - added "Hide Mainmenu Entry" setup option on client
Diffstat (limited to 'streamdev')
-rwxr-xr-xstreamdev/externremux.sh48
-rw-r--r--streamdev/streamdevhosts.conf13
2 files changed, 61 insertions, 0 deletions
diff --git a/streamdev/externremux.sh b/streamdev/externremux.sh
new file mode 100755
index 0000000..e2b4156
--- /dev/null
+++ b/streamdev/externremux.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+# externremux.sh - sample remux script using mencoder for remuxing.
+#
+# Install this script as VDRCONFDIR/plugins/streamdev/externremux.sh
+#
+# The parameter STREAMQUALITY selects the default remux parameters. Adjust
+# to your needs and point your web browser to http://servername:3000/extern/
+# To select different remux parameters on the fly, insert a semicolon and
+# the name of the requested quality: http://servername:3000/extern;WLAN11/
+
+# CONFIG START
+ STREAMQUALITY="DSL6000" # DSL{1,2,3,6}000, LAN10, WLAN{11,54}, IPAQ
+ TMP=/tmp/externremux-${RANDOM:-$$}
+ MENCODER=mencoder
+# CONFIG END
+
+mkdir -p $TMP
+mkfifo $TMP/out.avi
+(trap "rm -rf $TMP" EXIT HUP INT TERM ABRT; cat $TMP/out.avi) &
+
+case ${1:-$STREAMQUALITY} in
+ DSL1000) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=100 \
+ -oac mp3lame -lameopts preset=15:mode=3 -vf scale=160:104 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ DSL2000) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=128 \
+ -oac mp3lame -lameopts preset=15:mode=3 -vf scale=160:104 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ DSL3000) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=250 \
+ -oac mp3lame -lameopts preset=15:mode=3 -vf scale=320:208 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ DSL6000) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=350 \
+ -oac mp3lame -lameopts preset=15:mode=3 -vf scale=320:208 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ LAN10) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=4096 \
+ -oac mp3lame -lameopts preset=standard \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ WLAN11) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=768 \
+ -oac mp3lame -lameopts preset=standard -vf scale=640:408 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ WLAN54) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=2048 \
+ -oac mp3lame -lameopts preset=standard \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ IPAQ) exec $MENCODER -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=350 \
+ -oac mp3lame -lameopts preset=15:mode=3 -vf scale=320:208 \
+ -o $TMP/out.avi -- - &>$TMP/out.log ;;
+ *) touch $TMP/out.avi ;;
+esac
diff --git a/streamdev/streamdevhosts.conf b/streamdev/streamdevhosts.conf
new file mode 100644
index 0000000..6c13598
--- /dev/null
+++ b/streamdev/streamdevhosts.conf
@@ -0,0 +1,13 @@
+#
+# streamdevhosts This file describes a number of host addresses that
+# are allowed to connect to the streamdev server running
+# with the Video Disk Recorder (VDR) on this system.
+# Syntax:
+#
+# IP-Address[/Netmask]
+#
+
+127.0.0.1 # always accept localhost
+#192.168.100.0/24 # any host on the local net
+#204.152.189.113 # a specific host
+#0.0.0.0/0 # any host on any net (USE THIS WITH CARE!)